Bug 1464473 - (CVE-2017-7518) CVE-2017-7518 Kernel: KVM: debug exception via syscall emulation
CVE-2017-7518 Kernel: KVM: debug exception via syscall emulation
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170622,repor...
: Security
Depends On: 1464474 1464480 1464481 1464482 1464483
Blocks: 1459656
  Show dependency treegraph
 
Reported: 2017-06-23 10:05 EDT by Prasad J Pandit
Modified: 2017-07-10 02:46 EDT (History)
36 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux KVM module processed the trap flag(TF) bit in EFLAGS during emulation of the syscall instruction, which leads to a debug exception(#DB) being raised in the guest stack. A user/process inside a guest could use this flaw to potentially escalate their privileges inside the guest. Linux guests are not affected by this.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2017-06-23 10:05:27 EDT
Linux kernel built with the Kernel-based Virtual Machine(CONFIG_KVM) support
is vulnerable to an incorrect debug exception(#DB) error. It could occur while
emulating a syscall instruction.

A user/process inside guest could use this flaw to potentially escalate their
privileges inside guest.

Note: Linux guests are not affected.

Upstream patch:
---------------
  -> https://www.spinics.net/lists/kvm/msg151817.html

Reference:
----------
  -> https://xenbits.xen.org/xsa/advisory-204.html
  -> https://www.spinics.net/lists/kvm/msg151819.html
  -> http://www.openwall.com/lists/oss-security/2017/06/23/5
Comment 1 Prasad J Pandit 2017-06-23 10:07:10 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1464474]
Comment 4 Prasad J Pandit 2017-06-23 10:11:31 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with
Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.

This issue affects the versions of the Linux kernel as shipped with Red Hat Enterprise Linux 7. Future kernel updates for Red Hat Enterprise Linux 7
may address this issue.

Note You need to log in before you can comment on or make changes to this bug.